## pokerth 0.5+dfsg

=== Makefile ===
#############################################################################
# Makefile for building: bin/pokerth
# Generated by qmake (2.01a) (Qt 4.2.3) on: So Jun 17 03:13:29 2007
# Project:  pokerth.pro
# Template: app
# Command: /usr/qt/static/4.2.3/bin/qmake -unix -o Makefile pokerth.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/qt/static/4.2.3/mkspecs/linux-g++ -I. -I/usr/qt/static/4.2.3/include/QtCore -I/usr/qt/static/4.2.3/include/QtCore -I/usr/qt/static/4.2.3/include/QtGui -I/usr/qt/static/4.2.3/include/QtGui -I/usr/qt/static/4.2.3/include -I. -Isrc -Isrc/engine -Isrc/gui -Isrc/net -Isrc/engine/local_engine -Isrc/engine/network_engine -Isrc/config -Isrc/core/tinyxml -Isrc/gui/qt -Isrc/gui/qt/connecttoserverdialog -Isrc/core -Isrc/gui/qt/sound -Isrc/gui/qt/qttools -Isrc/gui/qt/qttools/qthelper -Isrc/gui/qt/mainwindow -Isrc/gui/qt/mainwindow/startsplash -Isrc/gui/qt/mainwindow/log -Isrc/gui/qt/mainwindow/chat -Isrc/gui/qt/aboutpokerth -Isrc/gui/qt/createnetworkgamedialog -Isrc/gui/qt/joinnetworkgamedialog -Isrc/gui/qt/newlocalgamedialog -Isrc/gui/qt/settingsdialog -Isrc/gui/qt/settingsdialog/selectavatardialog -Isrc/gui/qt/startnetworkgamedialog -Isrc/gui/qt/waitforservertostartgamedialog -Isrc/gui/qt/changehumanplayernamedialog -Imocs -Iuics
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/qt/static/4.2.3/lib
LIBS          = $(SUBLIBS)  -L/usr/qt/static/4.2.3/lib -lboost_thread-mt -lcrypto -lSDL_mixer -lSDL -lmikmod -lQtGui -L/tmp/qt-x11-opensource-src-4.2.3/lib -L/usr/X11R6/lib -lSM -lICE -pthread -L/opt/gnome/lib -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lm -pthread -lgthread-2.0 -lglib-2.0 -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/qt/static/4.2.3/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = src/game.cpp \
		src/pokerth.cpp \
		src/session.cpp \
		src/playerdata.cpp \
		src/config/configfile.cpp \
		src/engine/boardinterface.cpp \
		src/engine/enginefactory.cpp \
		src/engine/flopinterface.cpp \
		src/engine/handinterface.cpp \
		src/engine/playerinterface.cpp \
		src/engine/preflopinterface.cpp \
		src/engine/riverinterface.cpp \
		src/engine/turninterface.cpp \
		src/gui/guiinterface.cpp \
		src/core/common/thread.cpp \
		src/core/tinyxml/tinystr.cpp \
		src/core/tinyxml/tinyxml.cpp \
		src/core/tinyxml/tinyxmlerror.cpp \
		src/core/tinyxml/tinyxmlparser.cpp \
		src/engine/local_engine/cardsvalue.cpp \
		src/engine/local_engine/localboard.cpp \
		src/engine/local_engine/localenginefactory.cpp \
		src/engine/local_engine/localflop.cpp \
		src/engine/local_engine/localhand.cpp \
		src/engine/local_engine/localplayer.cpp \
		src/engine/local_engine/localpreflop.cpp \
		src/engine/local_engine/localriver.cpp \
		src/engine/local_engine/localturn.cpp \
		src/engine/local_engine/tools.cpp \
		src/engine/network_engine/clientboard.cpp \
		src/engine/network_engine/clientenginefactory.cpp \
		src/engine/network_engine/clientflop.cpp \
		src/engine/network_engine/clienthand.cpp \
		src/engine/network_engine/clientplayer.cpp \
		src/engine/network_engine/clientpreflop.cpp \
		src/engine/network_engine/clientriver.cpp \
		src/engine/network_engine/clientturn.cpp \
		src/net/common/connectdata.cpp \
		src/net/common/clientcallback.cpp \
		src/net/common/clientcontext.cpp \
		src/net/common/clientstate.cpp \
		src/net/common/clientthread.cpp \
		src/net/common/netpacket.cpp \
		src/net/common/resolverthread.cpp \
		src/net/common/senderthread.cpp \
		src/net/common/sendercallback.cpp \
		src/net/common/serverthread.cpp \
		src/net/common/servercontext.cpp \
		src/net/common/serverexception.cpp \
		src/net/common/serverrecvthread.cpp \
		src/net/common/serverrecvstate.cpp \
		src/net/common/servercallback.cpp \
		src/net/common/sessiondata.cpp \
		src/net/common/socket_startup_cmn.cpp \
		src/net/common/socket_helper_cmn.cpp \
		src/net/common/clientexception.cpp \
		src/net/common/netcontext.cpp \
		src/net/common/netexception.cpp \
		src/net/common/receiverhelper.cpp \
		src/gui/qt/sound/sdlplayer.cpp \
		src/gui/qt/guiwrapper.cpp \
		src/gui/qt/mainwindow/mainwindowimpl.cpp \
		src/gui/qt/mainwindow/mycardspixmaplabel.cpp \
		src/gui/qt/mainwindow/mysetlabel.cpp \
		src/gui/qt/mainwindow/myrighttabwidget.cpp \
		src/gui/qt/mainwindow/mylefttabwidget.cpp \
		src/gui/qt/mainwindow/startsplash/startsplash.cpp \
		src/gui/qt/mainwindow/log/log.cpp \
		src/gui/qt/mainwindow/chat/chat.cpp \
		src/gui/qt/aboutpokerth/aboutpokerthimpl.cpp \
		src/gui/qt/connecttoserverdialog/connecttoserverdialogimpl.cpp \
		src/gui/qt/createnetworkgamedialog/createnetworkgamedialogimpl.cpp \
		src/gui/qt/joinnetworkgamedialog/joinnetworkgamedialogimpl.cpp \
		src/gui/qt/newlocalgamedialog/newgamedialogimpl.cpp \
		src/gui/qt/settingsdialog/settingsdialogimpl.cpp \
		src/gui/qt/settingsdialog/myavatarbutton.cpp \
		src/gui/qt/settingsdialog/myhpavatarbutton.cpp \
		src/gui/qt/settingsdialog/selectavatardialog/selectavatardialogimpl.cpp \
		src/gui/qt/settingsdialog/selectavatardialog/myavatarlistitem.cpp \
		src/gui/qt/startnetworkgamedialog/startnetworkgamedialogimpl.cpp \
		src/gui/qt/waitforservertostartgamedialog/waitforservertostartgamedialogimpl.cpp \
		src/gui/qt/changehumanplayernamedialog/changehumanplayernamedialogimpl.cpp \
		src/gui/qttoolsinterface.cpp \
		src/gui/qt/qttools/qttoolswrapper.cpp \
		src/gui/qt/qttools/qthelper/qthelper.cpp \
		src/gui/generic/serverguiwrapper.cpp \
		src/core/linux/rand.cpp \
		src/net/linux/socket_helper.cpp \
		src/net/linux/socket_startup.cpp mocs/moc_sdlplayer.cpp \
		mocs/moc_mainwindowimpl.cpp \
		mocs/moc_mycardspixmaplabel.cpp \
		mocs/moc_mysetlabel.cpp \
		mocs/moc_myrighttabwidget.cpp \
		mocs/moc_mylefttabwidget.cpp \
		mocs/moc_startsplash.cpp \
		mocs/moc_log.cpp \
		mocs/moc_chat.cpp \
		mocs/moc_aboutpokerthimpl.cpp \
		mocs/moc_connecttoserverdialogimpl.cpp \
		mocs/moc_createnetworkgamedialogimpl.cpp \
		mocs/moc_joinnetworkgamedialogimpl.cpp \
		mocs/moc_newgamedialogimpl.cpp \
		mocs/moc_settingsdialogimpl.cpp \
		mocs/moc_selectavatardialogimpl.cpp \
		mocs/moc_startnetworkgamedialogimpl.cpp \
		mocs/moc_waitforservertostartgamedialogimpl.cpp \
		mocs/moc_changehumanplayernamedialogimpl.cpp \
		qrc_resources.cpp
OBJECTS       = obj/game.o \
		obj/pokerth.o \
		obj/session.o \
		obj/playerdata.o \
		obj/configfile.o \
		obj/boardinterface.o \
		obj/enginefactory.o \
		obj/flopinterface.o \
		obj/handinterface.o \
		obj/playerinterface.o \
		obj/preflopinterface.o \
		obj/riverinterface.o \
		obj/turninterface.o \
		obj/guiinterface.o \
		obj/thread.o \
		obj/tinystr.o \
		obj/tinyxml.o \
		obj/tinyxmlerror.o \
		obj/tinyxmlparser.o \
		obj/cardsvalue.o \
		obj/localboard.o \
		obj/localenginefactory.o \
		obj/localflop.o \
		obj/localhand.o \
		obj/localplayer.o \
		obj/localpreflop.o \
		obj/localriver.o \
		obj/localturn.o \
		obj/tools.o \
		obj/clientboard.o \
		obj/clientenginefactory.o \
		obj/clientflop.o \
		obj/clienthand.o \
		obj/clientplayer.o \
		obj/clientpreflop.o \
		obj/clientriver.o \
		obj/clientturn.o \
		obj/connectdata.o \
		obj/clientcallback.o \
		obj/clientcontext.o \
		obj/clientstate.o \
		obj/clientthread.o \
		obj/netpacket.o \
		obj/resolverthread.o \
		obj/senderthread.o \
		obj/sendercallback.o \
		obj/serverthread.o \
		obj/servercontext.o \
		obj/serverexception.o \
		obj/serverrecvthread.o \
		obj/serverrecvstate.o \
		obj/servercallback.o \
		obj/sessiondata.o \
		obj/socket_startup_cmn.o \
		obj/socket_helper_cmn.o \
		obj/clientexception.o \
		obj/netcontext.o \
		obj/netexception.o \
		obj/receiverhelper.o \
		obj/sdlplayer.o \
		obj/guiwrapper.o \
		obj/mainwindowimpl.o \
		obj/mycardspixmaplabel.o \
		obj/mysetlabel.o \
		obj/myrighttabwidget.o \
		obj/mylefttabwidget.o \
		obj/startsplash.o \
		obj/log.o \
		obj/chat.o \
		obj/aboutpokerthimpl.o \
		obj/connecttoserverdialogimpl.o \
		obj/createnetworkgamedialogimpl.o \
		obj/joinnetworkgamedialogimpl.o \
		obj/newgamedialogimpl.o \
		obj/settingsdialogimpl.o \
		obj/myavatarbutton.o \
		obj/myhpavatarbutton.o \
		obj/selectavatardialogimpl.o \
		obj/myavatarlistitem.o \
		obj/startnetworkgamedialogimpl.o \
		obj/waitforservertostartgamedialogimpl.o \
		obj/changehumanplayernamedialogimpl.o \
		obj/qttoolsinterface.o \
		obj/qttoolswrapper.o \
		obj/qthelper.o \
		obj/serverguiwrapper.o \
		obj/rand.o \
		obj/socket_helper.o \
		obj/socket_startup.o \
		obj/moc_sdlplayer.o \
		obj/moc_mainwindowimpl.o \
		obj/moc_mycardspixmaplabel.o \
		obj/moc_mysetlabel.o \
		obj/moc_myrighttabwidget.o \
		obj/moc_mylefttabwidget.o \
		obj/moc_startsplash.o \
		obj/moc_log.o \
		obj/moc_chat.o \
		obj/moc_aboutpokerthimpl.o \
		obj/moc_connecttoserverdialogimpl.o \
		obj/moc_createnetworkgamedialogimpl.o \
		obj/moc_joinnetworkgamedialogimpl.o \
		obj/moc_newgamedialogimpl.o \
		obj/moc_settingsdialogimpl.o \
		obj/moc_selectavatardialogimpl.o \
		obj/moc_startnetworkgamedialogimpl.o \
		obj/moc_waitforservertostartgamedialogimpl.o \
		obj/moc_changehumanplayernamedialogimpl.o \
		obj/qrc_resources.o
DIST          = /usr/qt/static/4.2.3/mkspecs/common/unix.conf \
		/usr/qt/static/4.2.3/mkspecs/common/g++.conf \
		/usr/qt/static/4.2.3/mkspecs/common/linux.conf \
		/usr/qt/static/4.2.3/mkspecs/qconfig.pri \
		/usr/qt/static/4.2.3/mkspecs/features/qt_functions.prf \
		/usr/qt/static/4.2.3/mkspecs/features/qt_config.prf \
		/usr/qt/static/4.2.3/mkspecs/features/exclusive_builds.prf \
		/usr/qt/static/4.2.3/mkspecs/features/default_pre.prf \
		/usr/qt/static/4.2.3/mkspecs/features/release.prf \
		/usr/qt/static/4.2.3/mkspecs/features/default_post.prf \
		/usr/qt/static/4.2.3/mkspecs/features/qt.prf \
		/usr/qt/static/4.2.3/mkspecs/features/unix/thread.prf \
		/usr/qt/static/4.2.3/mkspecs/features/moc.prf \
		/usr/qt/static/4.2.3/mkspecs/features/warn_on.prf \
		/usr/qt/static/4.2.3/mkspecs/features/resources.prf \
		/usr/qt/static/4.2.3/mkspecs/features/uic.prf \
		pokerth.pro
QMAKE_TARGET  = pokerth
DESTDIR       = bin/
TARGET        = bin/pokerth

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): uics/ui_mainwindow.h uics/ui_aboutpokerth.h uics/ui_connecttoserverdialog.h uics/ui_createnetworkgamedialog.h uics/ui_joinnetworkgamedialog.h uics/ui_newgamedialog.h uics/ui_settingsdialog.h uics/ui_selectavatardialog.h uics/ui_startnetworkgamedialog.h uics/ui_waitforservertostartgamedialog.h uics/ui_changehumanplayernamedialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: pokerth.pro  /usr/qt/static/4.2.3/mkspecs/linux-g++/qmake.conf /usr/qt/static/4.2.3/mkspecs/common/unix.conf \
		/usr/qt/static/4.2.3/mkspecs/common/g++.conf \
		/usr/qt/static/4.2.3/mkspecs/common/linux.conf \
		/usr/qt/static/4.2.3/mkspecs/qconfig.pri \
