## pokerth 0.8.2-1

=== debian/changelog ===
pokerth (0.8.2-1) unstable; urgency=low

  * New login/registration system: Players can register their nicks for internet games via an online registration system. It is still possible to play as guest, but certain restrictions apply.
  * Online player ranking: Registered players can join "ranking games" toimprove their rank.
  * Store all players of each game in the database (Server).
  * Store date/time when the game ends (Server).
  * Store all places for every ranking game in the database (Server).
  * User profile links on the game table to the online ranking system.
  * Disallow any kind of kicking in ranking games.
  * Optional add country flag to avatar feature.
  * Report bad avatar function to tell the admins about illegal avatar pictures (right click on players avatar on the table).
  * Two players with the same IP address are no longer allowed to join a single ranking game (Server).
  * Encrypt own cards which are sent at the beginning of the hand - only applicable to registered users.
  * The country flag of players is optionally displayed in the lobby (based on voluntary registration information).
  * Caseinsensitive sorting and string search function for lobby nick list.
  * Lobby: sort by country or filter idle players.
  * Lobby: countdown when internet game starts automatically.
  * Custom game names are now possible.
  * Bad game names can be blocked.
  * Internet or LAN games can be automatically started when the maximum number of players is reached.
  * Invite-only game mode for internet games: In order to invite a player to an invite-only game, right click on the player's nick in  the lobby.
  * Ignore list for chat messages and game invitations from "unfriendly" players. Right click on a player's nick in the lobby to place the player on the ignore list.
  * AFK players are now kicked from ranking games after some timeouts if they do not enable autocheck/fold.
  * Only players who really have to show cards actually show them after postriver. Everyone else who did not fold is now able to show the cards by choice.
  * Allow to show own cards if human player is the last not folded player (also without showdown).
  * New chat system with admin bot (no longer IRC).
  * Completely new network protocol, including a secure authentication mechanism.
  * Updated language files.
  * Bugfixes.

 -- Florian Thauer <floty@pokerth.net>  Fri, 21 Jan 2011 22:38:24 +0000

pokerth (0.7.1-3) unstable; urgency=low

  * Initial release

 -- Wilson Tang <Wil.7ang@gmail.com>  Sun, 25 Oct 2009 20:38:21 -0400
