=== debian/control ===
Source: pokerth
Section: user/games
Priority: extra
Maintainer: Florian Thauer <floty@pokerth.net>
Build-Depends: libboost-filesystem1.38-dev, libboost-iostreams1.38-dev,
 libboost-regex1.38-dev, libboost-system1.38-dev, libboost-thread1.38-dev, libcurl3-dev, libgcrypt11-dev, libgnutls-dev, libqt4-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libsqlite3-0, libgsasl
Standards-Version: 3.7.2

Package: pokerth
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}, pokerth-data
Description: PokerTH is an open source Texas hold'em simulator.
 The game is faithful to the Texas Hold'em rules and betting system. PokerTH
 allows for up to ten human players, with computer-controlled players filling
 in if there are not enough humans. Players can also play against other PokerTH
 users online.
XB-Maemo-Upgrade-Description:
  * New login/registration system: Players can register their nicks for internet games via an online registration system. It is still possible to play as guest, but certain restrictions apply.
  * Online player ranking: Registered players can join "ranking games" toimprove their rank.
  * Store all players of each game in the database (Server).
  * Store date/time when the game ends (Server).
  * Store all places for every ranking game in the database (Server).
  * User profile links on the game table to the online ranking system.
  * Disallow any kind of kicking in ranking games.
  * Optional add country flag to avatar feature.
  * Report bad avatar function to tell the admins about illegal avatar pictures (right click on players avatar on the table).
  * Two players with the same IP address are no longer allowed to join a single ranking game (Server).
  * Encrypt own cards which are sent at the beginning of the hand - only applicable to registered users.
  * The country flag of players is optionally displayed in the lobby (based on voluntary registration information).
  * Caseinsensitive sorting and string search function for lobby nick list.
  * Lobby: sort by country or filter idle players.
  * Lobby: countdown when internet game starts automatically.
  * Custom game names are now possible.
  * Bad game names can be blocked.
  * Internet or LAN games can be automatically started when the maximum number of players is reached.
  * Invite-only game mode for internet games: In order to invite a player to an invite-only game, right click on the player's nick in  the lobby.
  * Ignore list for chat messages and game invitations from "unfriendly" players. Right click on a player's nick in the lobby to place the player on the ignore list.
  * AFK players are now kicked from ranking games after some timeouts if they do not enable autocheck/fold.
  * Only players who really have to show cards actually show them after postriver. Everyone else who did not fold is now able to show the cards by choice.
  * Allow to show own cards if human player is the last not folded player (also without showdown).
  * New chat system with admin bot (no longer IRC).
  * Completely new network protocol, including a secure authentication mechanism.
  * Updated language files.
  * Bugfixes.
XB-Maemo-Display-Name: PokerTH
XSBC-Bugtracker: mailto:floty@pokerth.net
