## pokerth 0.8.2-2

=== debian/changelog ===
pokerth (0.8.2-2) unstable; urgency=low

  * remove pokerth-data from user/games section

 -- Florian Thauer <floty@pokerth.net>  Tue, 08 Mar 2011 22:38:24 +0000
