## pokerth 0.8.2-3

=== debian/changelog ===
pokerth (0.8.2-3) unstable; urgency=low

  * optifying
  * update dependency to libboost1.42
  * remove package pokerth-data (including to main package pokerth)

 -- Florian Thauer <floty@pokerth.net>  Wed, 16 Mar 2011 22:38:24 +0000
