=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,10 @@
 
 	# Add here commands to install the package into debian/your_appname
 	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)/usr install
-	cd builddir && cp ./pokerth ../debian/pokerth/usr/bin/
-	mkdir -p ./debian/pokerth-data/usr/share/pokerth
-	cp -R ./data ./debian/pokerth-data/usr/share/pokerth/
+	mkdir -p ./debian/pokerth/opt/maemo/usr/bin/
+	cp ./builddir/pokerth ./debian/pokerth/opt/maemo/usr/bin/
+	mkdir -p ./debian/pokerth/opt/maemo/usr/share/pokerth
+	cp -R ./data ./debian/pokerth/opt/maemo/usr/share/pokerth/
 
 	mkdir -p ./debian/pokerth/usr/share/icons/hicolor/scalable/apps/
 	cp ./pokerth.png ./debian/pokerth/usr/share/icons/hicolor/scalable/apps/
