## pokerth 0.8.2-4

=== debian/changelog ===
pokerth (0.8.2-4) unstable; urgency=low

  * bugfix: creating symbolic link from binary to /usr/bin
  
 -- Florian Thauer <floty@pokerth.net>  Fri, 18 Mar 2011 17:45:00 +0000
