=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)/usr install
 	mkdir -p ./debian/pokerth/opt/maemo/usr/bin/
 	cp ./builddir/pokerth ./debian/pokerth/opt/maemo/usr/bin/
+
 	mkdir -p ./debian/pokerth/opt/maemo/usr/share/pokerth
 	cp -R ./data ./debian/pokerth/opt/maemo/usr/share/pokerth/
