## pokerth 0.8.3

=== debian/changelog ===
pokerth (0.8.3-3build1) oneiric; urgency=low

  * Rebuild for tinyxml 2.6.2.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 28 May 2011 09:40:11 +0200

pokerth (0.8.3-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.6 by not passing -no_dead_strip_inits_and_terms
    on anything but MacOSX.
    Trivial patch by me (06_fix_gcc46_ftbfs.patch).
    LP: #770849
  * Fix FTBFS with boost1.46 by forcing the v2 filesystem API.
    Patch by upstream (07_boost146_ftbfs_upstream.patch).
    Closes: #625022
  * Don't use the internal copy of libtinyxml and libircclient.
    Adds two patches:
     - 08_use_debian_libircclient.patch
     - 09_use_debian_libtinyxml.patch
    And Build-depends on libtinyxml-dev and libircclient-dev.
  * Add pokerth_db and pokerth_protocol to the clean patch.
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Thu, 05 May 2011 13:58:08 +0200

pokerth (0.8.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 18 Mar 2011 11:03:56 +0100

pokerth (0.8.3-1) experimental; urgency=low

  * New upstream bugfix release.
  * Add 05_disable_gnu++0x.patch to fix FTBFS on Ubuntu.
  * Drop 04_fix_build_no_add_neded.patch, applied upstream.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 17 Jan 2011 11:33:00 +0100

pokerth (0.8.2-1) experimental; urgency=low

  * New upstream bugfix release.
  * Updated debian/NEWS about the server situation, no need to use
    pokerth.debian.net anymore.
  * Add libsqlite3-dev as Build-Dep.
  * Add 04_fix_build_no_add_neded.patch from Ubuntu.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 04 Jan 2011 18:43:30 +0100

pokerth (0.8.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 10 Oct 2010 12:06:34 +0200

pokerth (0.8-1) experimental; urgency=low

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 27 Sep 2010 10:10:32 +0200

pokerth (0.8~beta3-1) experimental; urgency=low

  * New upstream beta release.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 06 Sep 2010 13:38:20 +0200

pokerth (0.8~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * debian/watch:
    + We do not need to strip dfsg from the version anymore.
    + Detect -betaX as ~betaX.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 16 Aug 2010 09:20:18 +0200

pokerth (0.8~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Use format 3.0 (quilt) and upstream's .tar.bz2 as orig.tar.
  * debian/{control,rules}:
    + Don't use quilt directly.
    + Use dh7 style tiny rules, depend on debhelper >= 7.0.50~
  * debian/control:
    + Add B-D on libgsasl7-dev.
    + Standards-Version: 3.9.1
    + Remove Mario Iseli from Uploaders, he isn't active in pkg-games
      anymore. Thanks for your work, Mario!
  * debian/patches/*:
    + Refresh against new upstream.
  * debian/copyright:
    + Quote BSD license, thanks lintian.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 28 Jul 2010 10:26:25 +0200

pokerth (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-Depend on unversioned boost packages again.
      Closes: #531119, #534086
    + Improve pokerth-server description, one does not need the package
      for one-table games.
    + Standards-Version: 3.8.2, no changes.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 26 Jun 2009 00:23:56 +0200

pokerth (0.7-1) unstable; urgency=low

  * New upstram release.
    + Upload to unstable again.
  * debian/patches/04_enable_beta.patch:
    + Drop the patch, it's not needed anymore.
  * debian/rules:
    + Add back the find/chmod call, as tarball has wrong permissions
      for some files again.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 04 May 2009 08:08:41 +0200

pokerth (0.7~beta2-1) experimental; urgency=low

  * New upstream beta release (fetched from SVN r1911).
  * debian/control:
    + Update my e-mail address.
    + Remove DM-Upload-Allowed.
    + Add ${misc:Depends} to all packages as suggested by lintian.
  * debian/copyright:
    + Add copyright info on console/*.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 26 Apr 2009 09:50:16 +0200

pokerth (0.7~beta1-1) experimental; urgency=low

  * New upstream beta release (fetched from SVN r1886).
  * debian/patches/02_use_dejavu_fonts.patch:
    + Refresh patch against new source.
  * debian/patches/01_clean_libpokerth.patch:
    + Refresh (again) against new source.
  * debian/patches/04_enable_beta.patch:
    + Add a (temporary) patch, for using the beta server.
  * debian/rules:
    + use $(QUILT_STAMPFN) instead of patch.
  * debian/{compat,control,rules}:
    + use debhelper 7.
  * debian/copyright:
    + update copyright years.
    + use better machine-readable style.
    + add copyright about the danuxi1 table.
    + add links to LGPL-2+ and GPL-2.
  * debian/control:
    + Set DM-Upload-Allowed: yes.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 19 Apr 2009 20:22:23 +0200

pokerth (0.6.4-1) unstable; urgency=low

  [ Evgeni Golov ]
  * New upstream release.
  * debian/control:
    + Build-Depend on libboost1.37 packages, as we need at least 1.36.
    + Wrap and reorder Build-Depends for better reading.
    + Drop unneeded Build-Depends on libmikmod2-dev and
      libboost-date-time-dev.
    + Bump Standards-Version to 3.8.1, no changes needed.
  * debian/patches/01_clean_libpokerth.patch:
    + Refresh patch against new source.
  * debian/rules:
    + Remove executable flag on data/* and pokerth.png

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 23 Mar 2009 13:09:51 +0100

pokerth (0.6.3-2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.
  * debian/rules:
    + Fix some trailing spaces spotted by Cyril Brulebois.

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 14 Feb 2009 01:34:15 +0100

pokerth (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/04_fix_no_logging.patch:
    + Drop the patch, it was imported from upstream SVN and is present

