## pokerth 0.9.1

=== debian/changelog ===
pokerth (0.9.1-1) unstable; urgency=low

  * Team upload.

  [ Mark Vejvoda ]
  * New upstream release (Closes: #653466)
    - Works with the official servers (Closes: #654578)
    - Updated patches that apply to new release
    - updated copyrights

  [ Paul Wise ]
  * Drop README.source, no longer needed

  [ Evgeni Golov ]
  * Drop obsolete patches and those applied upstream:
    - 01_clean_libpokerth.patch
    - 02_use_dejavu_fonts.patch
    - 05_disable_gnu++0x.patch
    - 06_fix_gcc46_ftbfs.patch
    - 07_boost146_ftbfs_upstream.patch
    - 08_use_debian_libircclient.patch
    - 09_use_debian_libtinyxml.patch

 -- Evgeni Golov <evgeni@debian.org>  Mon, 23 Jan 2012 18:22:10 +0100
