## pokerth 0.9.2

=== debian/changelog ===
pokerth (0.9.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 30 Jan 2012 15:54:19 +0100
